Snapping Settings can't be stored

2016-12-13 05:07 AM - Josha Ancheta

Status: Closed

Priority: Low

Assignee:

Category: Digitising

Affected QGIS version:2.14.7 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 23896

Description

Dear Support,

We are encountering problems with storing the QGIS Snapping Set-up. I've been encountering this since version 2.8 (the earliest that I

used). 

I know that the default settings can be configured here: 

Snapping.png

But the last selected Snapping mode is never stored. We always have to reset this with every command or when QGIS restarts. 

Snapping_Options.png

I hope you can improve this feature. Thank you very much.

Best regards,

Josha Ancheta

History

#1 - 2016-12-13 11:40 PM - Saber Razmjooei

- Priority changed from Normal to Low

- Status changed from Open to Feedback

- Category changed from Browser to Digitising

It resets the snapping setting according to your defaults...and not the latest settings. This is a general behaviour, same as your canvas CRS when you open

a new QGIS session. You don't expect QGIS to set it to the latest CRS used?

#2 - 2017-01-02 06:54 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
